 
package xyz.veronie.bgg.ui.handlers;

import org.eclipse.e4.core.di.annotations.Execute;

import xyz.veronie.bgg.result.Thing;
import xyz.veronie.bgg.result.ThingProvider;

import java.util.List;

import javax.inject.Inject;

import org.eclipse.e4.core.di.annotations.CanExecute;

public class ExportResultHandler {
	
	@Inject
	ThingProvider thingProvider;
	
	@Execute
	public void execute() {
		List<Thing> things = thingProvider.getThings();
		for (Thing thing : things) {
			System.out.println(thing.toResultTxtLine());
		}
	}
	
	
	@CanExecute
	public boolean canExecute() {
		return thingProvider != null;
	}
		
}